### Method

# Gtk Shortcut set_trigger

#### Declaration [src]

    void
    gtk_shortcut_set_trigger (
      GtkShortcut* self,
      GtkShortcutTrigger* trigger
    )

#### Description [src]

Sets the new trigger for `self` to be `trigger`.

Sets property | `Gtk.Shortcut:trigger`

#### Parameters

`trigger`

  Type: `GtkShortcutTrigger`

  The new trigger. If the `trigger` is `NULL`, the never trigger will be used.

  The argument can be `NULL`.
  The instance takes ownership of the data, and is responsible for freeing it.